% Reduce dimension
L = 32;

D = 64 / L;
X = zeros(64, 64);
Y = zeros(L, L);

display('read halfdome');
patch_halfdome = load('data_halfdome_jitter.mat');
num_halfdome = length(patch_halfdome.Patch);

Patch = patch_halfdome.Patch;
for i = 1:num_halfdome
    for y = 1:64
        for x = 1:64
            X(y, x) = patch_halfdome.Patch(i).raw((y - 1) * 64 + x);            
        end
    end
    for y = 1:L
        for x = 1:L
            Y(y, x) = sum(sum(X(((y - 1) * D + 1):(y * D), ((x - 1) * D + 1):(x * D)))) / (D ^ 2);
        end
    end
    Patch(i).raw = Y(:);
end
display('write halfdome');
save('data_halfdome_jitter_1024.mat', 'Patch');


display('read trevi');
patch_trevi = load('data_trevi_jitter.mat');
num_trevi = length(patch_trevi.Patch);
Patch = patch_trevi.Patch;

for i = 1:num_trevi
    for y = 1:64
        for x = 1:64
            X(y, x) = patch_trevi.Patch(i).raw((y - 1) * 64 + x);            
        end
    end
    for y = 1:L
        for x = 1:L
            Y(y, x) = sum(sum(X(((y - 1) * D + 1):(y * D), ((x - 1) * D + 1):(x * D)))) / (D ^ 2);
        end
    end
    Patch(i).raw = Y(:);
end
display('write trevi');
save('data_trevi_jitter_1024.mat', 'Patch');


display('read notredame');
patch_notredame = load('data_notredame_jitter.mat');
num_notredame = length(patch_notredame.Patch);
Patch = patch_notredame.Patch;

for i = 1:num_notredame
    for y = 1:64
        for x = 1:64
            X(y, x) = patch_notredame.Patch(i).raw((y - 1) * 64 + x);            
        end
    end
    for y = 1:L
        for x = 1:L
            Y(y, x) = sum(sum(X(((y - 1) * D + 1):(y * D), ((x - 1) * D + 1):(x * D)))) / (D ^ 2);
        end
    end
    Patch(i).raw = Y(:);
end
display('write notredame');
save('data_notredame_jitter_1024.mat', 'Patch');

clear;