function D = sift_of_image(I)
% I is a grey-scale image
% D is 1 * 128 matrix

[n, m] = size(I);
% FC = [m / 2; n / 2; 6; 0]; % SIFT Frame Center [x;y;scale;orientation]
% [F, D] = vl_sift(single(I), 'frames', FC, 'orientations');

FC = [m / 2; n / 2; (m - 2) / 12; 0];
[F, D] = vl_sift(single(I), 'frames', FC);
