I = imread('J:\PhotoTourismData\trevi\patches0000.bmp');
patch = I(1:64, 512 + [1:64]);

FC = [32; 32; 6; 0];
[F, D] = vl_sift(single(patch), 'frames', FC, 'orientations');
imshow(patch);
h1 = vl_plotframe(F);
h2 = vl_plotframe(F);
set(h1, 'color', 'k', 'linewidth', 3);
set(h2, 'color', 'y', 'linewidth', 2);
h3 = vl_plotsiftdescriptor(D, F);
set(h3, 'color', 'g');